# ゲームリストを取得する

カタログを作成するためのゲームリストを取得します。

注意すべてのプロジェクトには、応答で取得できるアイテムの数に制限があります。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにより多くのデータを取得するには、制限とオフセットフィールドを使用します。

Endpoint: GET /v2/project/{project_id}/items/game
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。
    Example: 44056

## Query parameters:

  - `limit` (integer)
    ページにある要素数の制限。
    Example: 50

  - `offset` (integer)
    リストが生成される要素の番号（0からカウントされる）。

  - `locale` (string)
    応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

  - `additional_fields[]` (array)
    追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_list、order、long_descriptionです。

  - `country` (string)
    カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

## Response 200 fields (application/json):

  - `items` (array)
    Example: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]

  - `items.attributes` (array)
    アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

  - `items.attributes.external_id` (string)
    一意の属性ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_1"

  - `items.attributes.name` (string)
    属性の名前。
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    属性の一意の値ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    属性の値。
    Example: "Strategy"

  - `items.description` (string)
    アイテム説明。
    Example: "Game description"

  - `items.groups` (array)
    アイテムが属するグループ。
    Example: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla game"}]

  - `items.groups.external_id` (string)
    Example: "accessory"

  - `items.groups.name` (string)
    Example: "Accessory"

  - `items.image_url` (string)
    画像のURL。
    Example: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"

  - `items.name` (string)
    アイテム名。
    Example: "Game name"

  - `items.sku` (string)
    一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "game_01"

  - `items.type` (string)
    アイテムのタイプ：virtual_good/virtual_currency/bundle/physical_good/unit。
    Example: "unit"

  - `items.unit_items` (array)

  - `items.unit_items.drm_name` (string)
    DRM名。
    Example: "Steam"

  - `items.unit_items.drm_sku` (string)
    一意のDRM ID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "steam"

  - `items.unit_items.has_keys` (boolean)
    trueの場合、ゲームキーには販売用のキーがあります。

  - `items.unit_items.is_free` (boolean)
    trueの場合、アイテムは無料です。

  - `items.unit_items.is_pre_order` (boolean)
    trueの場合、ゲームキーは先行予約済みで、リリース日は過ぎていません。
    Example: true

  - `items.unit_items.price` (object)
    アイテム価格。

  - `items.unit_items.price.amount` (string)
    割引商品価格。
    Example: "2.9900"

  - `items.unit_items.price.amount_without_discount` (string)
    アイテム価格。
    Example: "2.9900"

  - `items.unit_items.price.currency` (string)
    デフォルトの購入通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)ごとの3文字のコード。
    Example: "USD"

  - `items.unit_items.release_date` (string)
    ISO8601形式のゲームキーのリリース日。
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.sku` (string)
    一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "game_01"

  - `items.unit_items.type` (string)
    アイテムのタイプ：game_key。
    Example: "game_key"

  - `items.unit_items.virtual_prices` (array)
    仮想価格。

  - `items.unit_items.virtual_prices.amount` (integer)
    仮想通貨での割引アイテム価格。
    Example: 100

  - `items.unit_items.virtual_prices.amount_without_discount` (integer)
    アイテム価格。
    Example: 200

  - `items.unit_items.virtual_prices.description` (string)
    仮想通貨の説明。
    Example: "Big Rocket - description"

  - `items.unit_items.virtual_prices.image_url` (string)
    仮想通貨の画像。
    Example: "http://image.png"

  - `items.unit_items.virtual_prices.is_default` (boolean)
    アイテムの価格がデフォルトであるかどうか。
    Example: true

  - `items.unit_items.virtual_prices.name` (string)
    仮想通貨名。
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `items.unit_items.virtual_prices.sku` (string)
    仮想通貨アイテムSKU。
    Example: "vc_test"

  - `items.unit_items.virtual_prices.type` (string)
    仮想通貨タイプ。
    Example: "virtual_currency"

  - `items.unit_type` (string)
    ユニットのタイプ：game。
    Example: "game"


